*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	font-family: "Space Grotesk", sans-serif;
	background-color: rgb(232, 232, 232);
}

.title {
	font-size: 42px;
	color: rgb(0, 0, 0);
	margin-bottom: 10px;
	text-align: center;
}

.subtitle {
	font-size: 22px;
	color: rgb(122, 122, 122);
	font-weight: 600;
	margin-bottom: 30px;
	text-align: center;
}

.img--toss {
	width: 300px;
	height: auto;
	margin-bottom: 50px;
	cursor: pointer;
}

.score-board {
	display: flex;
	gap: 30px;
	margin-bottom: 40px;
}

.score-board__item {
	display: flex;
	align-items: center;
	gap: 10px;
}

.score-board__icon {
	width: 25px;
	height: auto;
}

.score-board__text {
	color: rgb(122, 122, 122);
}

.text-result {
	font-size: 20px;
}

.result-container {
	height: 30px;
	margin-bottom: 30px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.btn--toss {
	font-size: 20px;
	width: 120px;
	height: 50px;
	background-color: rgb(255, 217, 0);
	border: 2px solid rgb(255, 235, 0);
	border-radius: 10px;
	color: rgb(0, 0, 0);
	transition:
		background-color 0.2s ease,
		border-color 0.2s ease;
	cursor: pointer;
}

.btn--toss:hover {
	background-color: rgb(230, 195, 0);
}

.btn--toss:active {
	background-color: rgb(255, 98, 0);
	transform: scale(0.95);
}

@keyframes rotateCoin {
	0% {
		transform: rotateY(0deg);
	}
	100% {
		transform: rotateY(360deg);
	}
}

.animation-toss {
	animation: rotateCoin 0.4s ease-out;
}

@keyframes popIcon {
	0% {
		transform: scale(1) translateY(0);
	}
	30% {
		transform: scale(1.2) translateY(-6px);
	}
	50% {
		transform: scale(1.2) rotate(15deg) translateY(-6px);
	}
	70% {
		transform: scale(1.2) rotate(-15deg) translateY(-6px);
	}
	100% {
		transform: scale(1) rotate(0deg) translateY(0);
	}
}

.animation-icon {
	animation: popIcon 0.3s ease-out;
}

@media (max-width: 480px) {
	.title {
		font-size: 32px;
		padding: 0 15px;
	}

	.subtitle {
		font-size: 16px;
		padding: 0 20px;
	}

	.img--toss {
		width: 65%;
		max-width: 250px;
	}
}
